Flutter Gems is a curated list of 5600+ useful Dart & Flutter packages that are categorized based on functionality.

Discord Medium LinkedIn Twitter

flutter_simple_dependency_injection

flutter pub add flutter_simple_dependency_injection
pub.dev Source Code API Docs
Category : Dependency Injection & State Management
Dart 3 compatible : Yes
Null safety : Yes
Platform(s) : Android iOS Web macOS Windows Linux
Dart SDK : >=2.12.0 <3.0.0
Latest Version : 2.0.0 (Apr, 2021)
Created : Jun, 2018
Pub Likes : 71
Pub Points : 140
GitHub Stars : 92
Open Issues : 1

About flutter_simple_dependency_injection package

A super simple dependency injection implementation for flutter that behaves like any normal IOC container and does not rely on mirrors

Open Source Flutter Apps & Projects that use flutter_simple_dependency_injection package

Click here to submit an open source Flutter app or project that uses this package.

Any issues in this page? Report here.

Last updated: February 15, 2024